Browser plugin for collecting browsing patterns and user comments for sending to Xccelerando back-end for personalized  content recommendations. See the initial architecture proposal here: https://gitlab.com/xccelerando/browser-extension/brave-browser-extension/-/blob/master/design/architecture/current_architecture_and_plan.md